1 Reply Latest reply on Feb 20, 2009 3:49 PM by sstanleyau

    problem with Script Debugger ver 4.0.9 after Upgrade system to 10.5.6

    Sara Peroni
      Hi,

      I've update my mac system at new ver 10.5.6.
      After this operation I try to compile script apple with script debugger 4.0.9 and some istruction return error. I'm sure that the script work with precedent version.

      I belive that problem is about Scripting Addition but I don't know what do.

      for example:

      set runMacPath to fromPosixPath runPath

      error: Applescript Syntax Error
      expected end of line, etc. but found identifier

      Thank

      Sara
        • 1. Re: problem with Script Debugger ver 4.0.9 after Upgrade system to 10.5.6
          sstanleyau Level 4
          It looks like you had an old scripting addition that doesn't work with<br />10.5.x. A search for "fromPosixPath" on MacScripter suggests it's from an<br />addition called System, and it's no longer necessary. Try changing the line<br />to:<br /><br /> set runMacPath to POSIX file runPath<br /><br />You can search for any other commands at <a href=http://osaxen.com/search.php> --<br />it will tell you what scripting addition they are from, and what they do.<br /><br />-- <br />Shane Stanley <sstanley@myriad-com.com.au><br />AppleScript Pro Florida, April 2009 <a href=http://scriptingmatters.com/aspro>